লিঙ্ক স্ট্যাটিক
GET https://0o0.online/api/statistics/
curl --request GET \
--url 'https://0o0.online/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
| প্যারামিটার | বিস্তারিত | বিবরণ |
|---|---|---|
| start_date | আবশ্যক | শুরু তারিখে Y-m-d ফরম্যাট |
| end_date | আবশ্যক | ফাইনাল ডেটা Y-m-d ফরম্যাট |
| project_id | অপশনাল ইন্টারন্যাশন | |
| type | অপশনাল সিংহ | অনুমোদিত মূল্য : overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour |
| country_code | অপশনাল সিংহ | পাওয়া যায় যখন: type = city_name |
| utm_source | অপশনাল সিংহ | পাওয়া যায় যখন: type = utm_medium, utm_campaign |
| utm_medium | অপশনাল সিংহ | পাওয়া যায় যখন: type = utm_campaign |
| referrer_host | অপশনাল সিংহ | পাওয়া যায় যখন: type = referrer_path |
{
"data": [
{
"pageviews": 20,
"visitors": 5,
"formatted_date": "2021-01"
},
{
"pageviews": 35,
"visitors": 10,
"formatted_date": "2021-02"
},
{
"pageviews": 50,
"visitors": 25,
"formatted_date": "2021-03"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/statistics?page=1",
"last": "https://0o0.online/api/statistics?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/statistics?page=1"
}
}
GET https://0o0.online/api/statistics/{link_id}
| প্যারামিটার | বিস্তারিত | বিবরণ |
|---|---|---|
| start_date | আবশ্যক | শুরু তারিখে Y-m-d ফরম্যাট |
| end_date | আবশ্যক | ফাইনাল ডেটা Y-m-d ফরম্যাট |
| type | অপশনাল সিংহ | অনুমোদিত মূল্য : overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour |
| country_code | অপশনাল সিংহ | পাওয়া যায় যখন: type = city_name |
| utm_source | অপশনাল সিংহ | পাওয়া যায় যখন: type = utm_medium, utm_campaign |
| utm_medium | অপশনাল সিংহ | পাওয়া যায় যখন: type = utm_campaign |
| referrer_host | অপশনাল সিংহ | পাওয়া যায় যখন: type = referrer_path |
curl --request GET \
--url 'https://0o0.online/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
"data": [
{
"pageviews": 20,
"visitors": 5,
"formatted_date": "2021-01"
},
{
"pageviews": 35,
"visitors": 10,
"formatted_date": "2021-02"
},
{
"pageviews": 50,
"visitors": 25,
"formatted_date": "2021-03"
}
]
}